Mi nombre es Fernando Briano y soy programador.

ArchLinux: pacman 4 en el repositorio principal

pacman

pacman

Llegó la hora de actualizar nuestros sistemas operativos ArchLinux a pacman 4. En esta versión trabajaron 24 personas creando 893 commits. Pueden ver todos los cambios en este enlace. La característica más esperada de esta versión es el firmado gpg de los paquetes, algo que generó bastante controversia en su momento en la comunidad de Archers.

De todas formas, esta característica viene deshabilitada por defecto en la configuración de pacman. Esto será así hasta que se pulan algunos detalles de la nueva funcionalidad. Para probar la verificación de los paquetes, tenemos que antes darnos una vuelta por la wiki de Arch e informarnos sobre Pacman-key.

pacman 4

pacman 4

En algunas ocasiones, la actualización de pacman puede requerir intervención manual. Por ejemplo en mi sistema:

error: failed to prepare transaction (could not satisfy dependencies)
:: package-query: requires pacman<3.6
:: pyalpm: requires pacman<3.6

Al intentar desinstalar el paquete pyalpm, encontré otras dependencias hasta que pude corregir la instalación completa haciendo:

[fernando@hoth ~]$ sudo pacman -R pyalpm namcap package-query yaourt

Ya luego no hubo problemas para instalar pacman:

[fernando@hoth ~]$ sudo pacman -S pacman

Y ya con la nueva versión volví a instalar yaourt y demás :)

Feed de comentarios | Url para Trackbacks | Suscribirse a los posts por correo electrónico

No hay comentarios en este post

Dejar un comentario

Toasty!